What about Haystack? https://www.usenix.org/legacy/event/osdi10/tech/full_papers/Beaver.pdf

From: Christine Spang
Sent: Thursday, May 21, 2015 6:52 PM
To: Nylas Study Group
Subject: Intros & paper suggestions
hey folks,
Thought I'd let y'all know who's on this list. Current list members are:
Nylas team
Michael Grinich
me
Kavya Joshi
Eben Freeman
Jennie Lees
Karim Hamidou
Evan Morikawa
Ben Gotow
Rob McQueen
Kartik Talwar
Andrea Whiting
Makala Keys
Friends
Nelson Elhage
Deborah Hanus
Owen Derby
Marco Munizaga
Anyone have a paper they're really hankering to read or present in two weeks? :)
--spang